Index: /branches/blink/src/world_entities/effects/billboard.cc
===================================================================
--- /branches/blink/src/world_entities/effects/billboard.cc	(revision 10406)
+++ /branches/blink/src/world_entities/effects/billboard.cc	(revision 10407)
@@ -24,5 +24,5 @@
 
 
-
+#include "debug.h"
 
 
@@ -66,4 +66,6 @@
   //this->setVisibiliy(true);
   this->setSize(5, 5);
+
+  this->texColor = NULL;
 }
 
@@ -147,4 +149,10 @@
 //v += this->getAbsCoor();
     //PRINTF(0)("sizeX: %f sizeY: %f\n", sizeX, sizeY);
+  if(this->texColor != NULL)
+  {
+    //glColor4ub((int)(this->texColor->r() * 255), (int)(this->texColor->g() * 255), (int)(this->texColor->b() * 255), (int)(this->texColor->a() * 255));
+    glColor4ub(255, 0, 0, 255);
+  }
+
   glBegin(GL_QUADS);
   glTexCoord2f(0.0f, 0.0f);
@@ -171,2 +179,12 @@
   glPopAttrib();
 }
+
+
+/**
+ * changes the texture color
+ * @param col color for the texture
+ */
+void Billboard::colorTexture(Color col)
+{
+  this->texColor = &col;
+}
Index: /branches/blink/src/world_entities/effects/billboard.h
===================================================================
--- /branches/blink/src/world_entities/effects/billboard.h	(revision 10406)
+++ /branches/blink/src/world_entities/effects/billboard.h	(revision 10407)
@@ -10,4 +10,5 @@
 class Material;
 class TiXmlElement;
+class Color;
 
 class Billboard : public WorldEntity
@@ -23,4 +24,5 @@
     void setSize(float sizeX, float sizeY);
     void setTexture(const std::string& textureFile);
+    void colorTexture(Color col);
 
     virtual void tick(float dt);
@@ -29,4 +31,5 @@
   private:
     Material*        material;
+    Color*           texColor;
     float sizeX;
     float sizeY;
Index: /branches/blink/src/world_entities/effects/blink.cc
===================================================================
--- /branches/blink/src/world_entities/effects/blink.cc	(revision 10406)
+++ /branches/blink/src/world_entities/effects/blink.cc	(revision 10407)
@@ -19,5 +19,5 @@
 #include "debug.h"
 #include "state.h"
-
+#include "effects/billboard.h"
 
 #include "material.h"
@@ -40,4 +40,6 @@
   if( root)
     this->loadParams(root);
+
+//   this->bBoard->setSize(this->size, this->size);
 }
 
@@ -77,4 +79,10 @@
 
   //srand((unsigned)time(NULL));
+
+
+  this->bBoard = new Billboard;
+  this->bBoard->setVisibiliy(true);
+  this->bBoard->setTexture("maps/star_alpha.png");
+  this->bBoard->setAbsCoor(this->position.x, this->position.y, this->position.z);
 
 
@@ -175,4 +183,5 @@
   Vector diff = camCoor - this->position;
 
+
   //glTranslatef(position.x + size/2, position.y + size/2, position.z);
 
@@ -187,12 +196,12 @@
   this->material->select();
 
-
-  glColor4ub(this->color.x, this->color.y, this->color.z, 127.5*(this->blinkStr + 1));
-  glBegin(GL_QUADS);
-    glTexCoord2f(1, 1); glVertex3f(0, 0, 0);
-    glTexCoord2f(1, 0); glVertex3f(this->size, 0, 0);
-    glTexCoord2f(0, 0); glVertex3f(this->size, this->size, 0);
-    glTexCoord2f(0, 1); glVertex3f(0, this->size, 0);
-  glEnd();
+  this->bBoard->colorTexture(Color(1, 0, 0, 0));
+  //glColor4ub(this->color.x, this->color.y, this->color.z, 127.5*(this->blinkStr + 1));
+//   glBegin(GL_QUADS);
+//     glTexCoord2f(1, 1); glVertex3f(0, 0, 0);
+//     glTexCoord2f(1, 0); glVertex3f(this->size, 0, 0);
+//     glTexCoord2f(0, 0); glVertex3f(this->size, this->size, 0);
+//     glTexCoord2f(0, 1); glVertex3f(0, this->size, 0);
+//   glEnd();
 
 
Index: /branches/blink/src/world_entities/effects/blink.h
===================================================================
--- /branches/blink/src/world_entities/effects/blink.h	(revision 10406)
+++ /branches/blink/src/world_entities/effects/blink.h	(revision 10407)
@@ -7,8 +7,9 @@
 
 #include "world_entity.h"
-#include "color.h"
+#include "effects/billboard.h"
 
 class Material;
 class TiXmlElement;
+//class Billboard;
 
 class Blink : public WorldEntity
@@ -23,5 +24,5 @@
 
     void setPosition(float x, float y, float z) { this->position = Vector(x, y, z); }
-    void setSize(float s) { this->size = s; }
+    void setSize(float s) { this->size = s; this->bBoard->setSize(this->size, this->size); }
     void setOmega(float w) { this->omega = w; }
     void setColor(float r, float g, float b) { this->color = Vector(r, g, b); }
@@ -33,4 +34,5 @@
   private:
     Material*         material;
+    Billboard*        bBoard;
     Vector            position;
     Vector            color;
